Subject: Re: CMS card and write protect
From: [email-masked] (Jack Countryman IAC)
Date: 12 Jul 94 05:46:31 GMT
Newsgroups: comp.sys.apple2

On 8 Jul 1994, John Blaby wrote:

> This info is needed for a friend.
> 
> She has a CMS hard drive controller and wants to configure it to run a
> 20 meg drive for a //e. She has no documentation whatsoever. Can
> anyone help out with jumper settings and any other pertinant
> information?
> 
> Thanks in advance..
>                  John

According to the CMS manual, page D3, the six sets of eight pairs of jumpers 
(u1....u6) are for the following purpose:
    
    ______________________________________________________________________
   /                                                                      |
  /     u 1          u 2            u 3            u 4          j2        |
 /                                                                        |
/                                                                         |
|                                                                         |
|                                                                         |
|                                                                         |
|                                                                         |
|                                                                         | 
|    u 5     u 6                                                          |
|___________________________________________                        j1    |
                                            |                             |
                                            |_____________________________|

u 1:  Boot Scan delay....manual shows no jumpers here in default 
configuration

u 2:  first (left) jumper is 'Enable I.C.P. (Yes/No)', middle 6 not used, 
last (right) is 'multiple initiators (Yes/No)'...manual shows no jumpers 
in default configuration

u 3:  Selection phase time out delay....I believe this sets how long the 
card waits for the drive to come up to speed(?)...manual shows the 
default as having 4, 5, and 7 with jumpers installed

u 4:  Arbitration phase time out delay....manual shows default as no 
jumpers installed

u 5:  Bus Free phase time out delay...manual shows default as jumper on 
number 1

u 6:  Interrupt recovery delay....manual shows jumpers on 3, 4, and 5

j1 and j2 are single sets of pins....the manual says J2 is not used, but 
J1 is to be jumpered.

.........................................................................

The card I have here, came out of a IIGS where it was hooked to first a 
twenty meg CMS drive, and later a forty meg CMS drive.  It has the following 
jumpers set:

u1:  jumper on 7
u2:  no jumpers
u3:  jumpers on 4, 5, and 7
u4:  no jumpers
u5:  jumper on 1
u6:  jumpers on 3, 4, and 5
j2:  no jumper
j1:  jumper

As I recall, this setup yeilded a rather long pause for the hard disk to 
come up to speed (about 40 to 45 seconds) that we found necessary at the 
time to avoid boot problems.

Good luck....